Subject: Re: [Sip] ABNF error in RFC4474 (SIP Identity)?

From: Klaus Darilion <[email-masked]>
Date: Thu, 14 Feb 2008 17:08:10 +0100

Hi Jeroen!

Have you received any answers on this?

regards
klaus

Jeroen van Bemmel schrieb:
> Jon, Cullen,
> 
> In RFC4474 there is an example (page 19):
> 
> Identity:
>     "ZYNBbHC00VMZr2kZt6VmCvPonWJMGvQTBDqghoWeLxJfzB2a1pxAr3VgrB0SsSAa
>      ifsRdiOPoQZYOy2wrVghuhcsMbHWUSFxI6p6q5TOQXHMmz6uEo3svJsSH49thyGn
>      FVcnyaZ++yRlBYYQTLqWzJ+KVhPKbfU/pryhVn9Yc6U="
> 
> while the ABNF says:
> 
> Identity = "Identity" HCOLON signed-identity-digest
>   signed-identity-digest = LDQUOT *32LHEX *RDQUOT
> 
> "32LHEX" means 32 hex digits in lower case (as used for e.g. 
> request-digest in RFC3261), but this does not seem to be the intention 
> here?
> 
> Regards,
> Jeroen
> 
> 
> 
> 
> 
> 
> 
> 
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip
_______________________________________________
Sip mailing list  http://www.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: [email-masked]
Date: Thu, 14 Feb 2008 14:54:51 -0500

> request-digest in RFC3261), but this does not seem to be the intention 

Even more informative is this section:

   When the 'rsa-sha1' algorithm [the default - DW] is specified in
   the 'alg' parameter of Identity-Info, the hash and signature MUST
   be generated as follows: compute the results of signing this string
   with sha1WithRSAEncryption as described in RFC 3370 [7] and base64
   encode the results as specified in RFC 3548 [8].  [...]  The result
   is placed in the Identity header field.

So the text of the specification says that the Identity value must be
a base64 string, while the ABNF gives it as hex digits.

Dale